------------------------------------------------------------------------------------
--Name:  	juqing3
--Creator:	由剧情表现脚本编辑器生成
--Created:	2023-04-19
------------------------------------------------------------------------------------

CppScriptMgr:SetViewPosByCell(12, 10)
local Player_1 = CppScriptMgr:AddSimplePlayer(29250, 27, 25, "", 0, 0)
local Player_2 = CppScriptMgr:AddSimplePlayer(32610, 22, 23, "", 0, 0)
Player_2:SetDir(6)
local Player_3 = CppScriptMgr:AddSimplePlayer(32610, 28, 28, "", 0, 0)
Player_3:SetDir(5)
local Player_4 = CppScriptMgr:AddSimplePlayer(32610, 26, 20, "", 0, 0)
local Player_5 = CppScriptMgr:AddSimplePlayer(32610, 30, 22, "", 0, 0)
local Player_6 = CppScriptMgr:AddSimplePlayer(32610, 31, 26, "", 0, 0)
Player_6:SetDir(2)
local Player_7 = CppScriptMgr:AddSimplePlayer(1058526, 19, 27, "CrankyClown", 0, 0)
Player_7:WalkTo(24, 27)
Player_7:SetDir(6)
Player_7:SetZoomPercent(150)
local npc_0 = CppScriptMgr:AddSimplePlayer(1550, 24, 30, "", 0, 0)
npc_0:SetZoomPercent(150)
local effect_0 = CppScriptMgr:AddEffect("Successful", 22, 15, 33, 1, 1, 1)
local npc_1 = CppScriptMgr:AddSimplePlayer(1550, 21, 16, "", 0, 0)
npc_1:SetZoomPercent(120)
local effect_1 = CppScriptMgr:AddEffect("Successful", 30, 21, 33, 1, 1, 1)
local effect_2 = CppScriptMgr:AddEffect("Successful", 29, 28, 33, 1, 1, 1)
CppScriptMgr:WaitMilSec(880)
CppScriptMgr:NpcCallOut("Let me see who is the cutest kid!", 1000, 1, "NPCBust_bg", "", 320, 570, 400, 580, "NPCBust_5month8", 150, 430, "CrankyClown", 250, 655, false)
CppScriptMgr:WaitMilSec(620)
Player_2:Say("Me! I`m the cutest!", 1000)
Player_3:Say("It`s me! It`s me!", 1000)
Player_4:Say("I`m the cutest!", 1000)
Player_5:Say("Me! Mister!", 1000)
Player_6:Say("Me! Me!", 1000)
CppScriptMgr:WaitMilSec(990)
Player_7:SetAction(101)
CppScriptMgr:NpcCallOut("Since you are all so cute, how about...", 1000, 1, "NPCBust_bg", "", 320, 570, 400, 580, "NPCBust_5month8", 150, 430, "CrankyClown", 250, 655, false)
CppScriptMgr:WaitMilSec(1000)
Player_7:SetAction(401)
CppScriptMgr:NpcCallOut("Be my puppets!", 1000, 1, "NPCBust_bg", "", 320, 570, 400, 580, "NPCBust_5month8", 150, 430, "CrankyClown", 250, 655, false)
CppScriptMgr:WaitMilSec(1000)
Player_2:SetHide(1)
Player_3:SetHide(1)
Player_4:SetHide(1)
Player_5:SetHide(1)
Player_6:SetHide(1)
local Effect_1 = CppScriptMgr:AddEffect("Mf_castB", 25, 25, 33, 1, 1, 1)
local Effect_2 = CppScriptMgr:AddEffect("Mf_castB", 28, 28, 33, 1, 1, 1)
local Effect_3 = CppScriptMgr:AddEffect("Mf_castB", 26, 20, 33, 1, 1, 1)
local Effect_4 = CppScriptMgr:AddEffect("Mf_castB", 30, 22, 33, 1, 1, 1)
local Effect_5 = CppScriptMgr:AddEffect("Mf_castB", 31, 26, 33, 1, 1, 1)
local effect_3 = CppScriptMgr:AddEffect("CartoonDisplay", 25, 26, 33, 1, 1, 1)
effect_3:Scale(1.5, 1.5, 1.5)
LaJin(256, 10, 10, 100)
CppScriptMgr:WaitMilSec(940)
local Player_8 = CppScriptMgr:AddSimplePlayer(41240, 22, 21, "EnchantedKid", 0, 0)
Player_8:SetZoomPercent(50)
local Player_9 = CppScriptMgr:AddSimplePlayer(44970, 28, 30, "EnchantedKid", 0, 0)
Player_9:SetZoomPercent(50)
local Player_10 = CppScriptMgr:AddSimplePlayer(45200, 26, 18, "EnchantedKid", 0, 0)
Player_10:SetZoomPercent(50)
local Player_11 = CppScriptMgr:AddSimplePlayer(45210, 31, 21, "EnchantedKid", 0, 0)
Player_11:SetZoomPercent(20)
local Player_12 = CppScriptMgr:AddSimplePlayer(49230, 33, 26, "EnchantedKid", 0, 0)
Player_12:SetZoomPercent(50)
local Effect_7 = CppScriptMgr:AddEffect("KillerPattern", 28, 30, 33, 1, 1, 1)
local Effect_8 = CppScriptMgr:AddEffect("KillerPattern", 26, 18, 33, 1, 1, 1)
local Effect_9 = CppScriptMgr:AddEffect("KillerPattern", 31, 21, 33, 1, 1, 1)
local Effect_10 = CppScriptMgr:AddEffect("KillerPattern", 33, 26, 33, 1, 1, 1)
local Effect_6 = CppScriptMgr:AddEffect("KillerPattern", 22, 21, 33, 1, 1, 1)
Effect_6:Scale(0.5, 0.5, 0.5)
Effect_7:Scale(0.5, 0.5, 0.5)
Effect_8:Scale(0.5, 0.5, 0.5)
Effect_9:Scale(0.5, 0.5, 0.5)
Effect_10:Scale(0.5, 0.5, 0.5)
CppScriptMgr:WaitMilSec(1970)
CppScriptMgr:NpcCallOut("So funny!", 1000, 1, "NPCBust_bg", "", 320, 570, 400, 580, "NPCBust_5month8", 150, 430, "CrankyClown", 250, 655, false)
Player_7:SetAction(150)
CppScriptMgr:WaitMilSec(990)
CppScriptMgr:NpcCallOut("Who is the next?", 1000, 1, "NPCBust_bg", "", 320, 570, 400, 580, "NPCBust_5month8", 150, 430, "CrankyClown", 250, 655, false)
CppScriptMgr:WaitMilSec(1500)